package com.suvalue.boot.common.utils;

import com.auth0.jwt.JWT;
import com.auth0.jwt.JWTVerifier;
import com.auth0.jwt.algorithms.Algorithm;
import com.auth0.jwt.exceptions.JWTVerificationException;

import java.util.List;

public class JWTUtil {
    public static String createToken(String password){
        String token="";
        token= JWT.create().sign(Algorithm.HMAC256(password));
        return token;
    }

    public static String createTokenWithAudience(String sign, String... audiences){
        String token="";
        token= JWT.create().withAudience(audiences)
                .sign(Algorithm.HMAC256(sign));
        return token;
    }

    public static List<String> getAudience(String token){
        return JWT.decode(token).getAudience();
    }

    public static boolean verifier(String token, String scret){
        JWTVerifier jwtVerifier = JWT.require(Algorithm.HMAC256(scret)).build();
        try {
            jwtVerifier.verify(token);
        } catch (JWTVerificationException e) {
            throw new RuntimeException("401");
        }
        return true;
    }
}
